Bug 1814352 - DNS resolution over TCP still enforced when double listeners is allowed by Octavia
Summary: DNS resolution over TCP still enforced when double listeners is allowed by Oc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.3.z
Assignee: Maysa Macedo
QA Contact: Jon Uriarte
URL:
Whiteboard:
Depends On: 1814345
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-17 17:17 UTC by Maysa Macedo
Modified: 2020-05-11 21:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1814345
Environment:
Last Closed: 2020-05-11 21:20:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 599 None closed [release-4.3] Bug 1814352: Delete admission controller if double listeners is supported 2020-06-23 15:28:52 UTC
Red Hat Product Errata RHBA-2020:2006 None None None 2020-05-11 21:20:54 UTC

Comment 3 Jon Uriarte 2020-04-28 16:05:44 UTC
Verified in 4.3.0-0.nightly-2020-04-27-081123 on top of OSP 13 2020-04-01.3 puddle.

Upgrading the OSP octavia from 13 to 16 is detected by the cno and acts accordingly,
the admission controller pods are removed as it supports double listeners with the new
octavia version and the amphora driver.

Before the upgrade:

$ oc -n openshift-kuryr get pods
NAME                                   READY   STATUS    RESTARTS   AGE
kuryr-cni-44tk9                        1/1     Running   0          33m
kuryr-cni-4rz8j                        1/1     Running   0          33m
kuryr-cni-5ggjq                        1/1     Running   0          46m
kuryr-cni-9vxnh                        1/1     Running   1          46m
kuryr-cni-9zmhz                        1/1     Running   1          6m26s
kuryr-cni-dk8gf                        1/1     Running   0          46m
kuryr-controller-f44488487-kw4bt       1/1     Running   1          46m
kuryr-dns-admission-controller-qddld   1/1     Running   0          46m
kuryr-dns-admission-controller-tt4dk   1/1     Running   0          46m
kuryr-dns-admission-controller-vj5dm   1/1     Running   0          46m

2020/04/28 14:55:30 Checking Double Listeners Octavia support
2020/04/28 14:55:30 Detected Octavia API v2.0.0

192.168.24.1:8787/rh-osbs/rhosp13-openstack-octavia-worker              20200331.1          0e2daa3f1862        3 weeks ago         771 MB
192.168.24.1:8787/rh-osbs/rhosp13-openstack-octavia-api                 20200331.1          025c2bc960a1        3 weeks ago         814 MB
192.168.24.1:8787/rh-osbs/rhosp13-openstack-octavia-housekeeping        20200331.1          dd8848817781        3 weeks ago         771 MB
192.168.24.1:8787/rh-osbs/rhosp13-openstack-octavia-health-manager      20200331.1          dfc6ac9b70e0        3 weeks ago         771 MB


After the upgrade:
registry-proxy.engineering.redhat.com/rh-osbs/rhosp16-openstack-octavia-api              latest              76816c4f1701        3 days ago          1.02 GB
registry-proxy.engineering.redhat.com/rh-osbs/rhosp16-openstack-octavia-health-manager   latest              5805c0910259        3 days ago          827 MB
registry-proxy.engineering.redhat.com/rh-osbs/rhosp16-openstack-octavia-housekeeping     latest              c2f1adc74b04        3 days ago          827 MB
registry-proxy.engineering.redhat.com/rh-osbs/rhosp16-openstack-octavia-worker           latest              3382df4ef4e5        3 days ago          827 MB

2020/04/28 15:59:23 Checking Double Listeners Octavia support
2020/04/28 15:59:23 Detected Octavia API v2.13.0


$ oc get po -n openshift-kuryr
NAME                               READY   STATUS    RESTARTS   AGE
kuryr-cni-44tk9                    1/1     Running   0          55m
kuryr-cni-4rz8j                    1/1     Running   0          54m
kuryr-cni-5ggjq                    1/1     Running   0          67m
kuryr-cni-9vxnh                    1/1     Running   1          67m
kuryr-cni-9zmhz                    1/1     Running   1          28m
kuryr-cni-dk8gf                    1/1     Running   0          67m
kuryr-controller-f44488487-kw4bt   1/1     Running   1          67m

Comment 5 errata-xmlrpc 2020-05-11 21:20:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2006


Note You need to log in before you can comment on or make changes to this bug.